<?php

/**
 * @copyright	Copyright (C) 2005 - 2009 Michael Richey. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class plgUserStaticEmail extends JPlugin {

    public function onUserBeforeSave($user, $isnew, $new) {
        if (JFactory::getApplication()->isAdmin() || $isnew) {
            return true;
        }
        $joomlauser = JFactory::getUser();
        foreach ($this->params->get('restrict', array()) as $group) {
            if (in_array($group, $user['groups'])) {
                $new['email1']=$joomlauser->email;
                $new['email2']=$joomlauser->email;
                return true;
            }
        }
        return true;
    }

    public function onContentPrepareForm($form, $data) {
        if (!($form instanceof JForm)) {
            $this->_subject->setError('JERROR_NOT_A_FORM');
            return false;
        }

        // Check we are manipulating a valid form.
        if (!in_array($form->getName(), array('com_users.user', 'com_users.profile'))) {
            return true;
        }
        if (JFactory::getApplication()->isAdmin()) {
            return true;
        }
        foreach ($this->params->get('restrict', array()) as $group) {
            if (in_array($group, JFactory::getUser()->groups)) {
                $form->setFieldAttribute('email1','type','hidden');
                $form->setFieldAttribute('email2','type','hidden');
                return true;
            }
        }
        return true;
    }

}